### R code from vignette source 'ex11.Rnw'

###################################################
### code chunk number 1: ex11.Rnw:19-22
###################################################
options(prompt="> ", continue="+ ", digits=5, width=70, show.signif.stars=T)
par(mfrow=c(1,1))
rm(list=ls())


###################################################
### code chunk number 2: ex11.Rnw:109-110 (eval = FALSE)
###################################################
## 2 * pi / 360 


###################################################
### code chunk number 3: ex11.Rnw:115-116
###################################################
2 * pi / 360 


###################################################
### code chunk number 4: ex11.Rnw:155-156
###################################################
runif(10, 0, 1000)


###################################################
### code chunk number 5: ex11.Rnw:200-201
###################################################
help(runif)


###################################################
### code chunk number 6: ex11.Rnw:228-229
###################################################
sample <- runif(10, 0, 1000)


###################################################
### code chunk number 7: ex11.Rnw:237-238
###################################################
ls()


###################################################
### code chunk number 8: ex11.Rnw:249-250
###################################################
print(sample)


###################################################
### code chunk number 9: ex11.Rnw:265-267
###################################################
sample <- round(sample, 1)
sample


###################################################
### code chunk number 10: ex11.Rnw:290-291
###################################################
(sample <- sort(sample))


###################################################
### code chunk number 11: ex11.Rnw:308-309
###################################################
sort(round(runif(10, 0, 1000), 1))


###################################################
### code chunk number 12: ex11.Rnw:330-333
###################################################
ls()
rm(sample)
ls()


###################################################
### code chunk number 13: ex11.Rnw:369-371
###################################################
while("package:gstat" %in% search()) detach(package:gstat)
while("package:sp" %in% search()) detach(package:sp)


###################################################
### code chunk number 14: ex11.Rnw:382-383
###################################################
search()


###################################################
### code chunk number 15: ex11.Rnw:402-403
###################################################
library()


###################################################
### code chunk number 16: ex11.Rnw:433-435
###################################################
require(sp)
require(gstat)


###################################################
### code chunk number 17: ex11.Rnw:444-445
###################################################
search()


###################################################
### code chunk number 18: ex11.Rnw:466-467
###################################################
data()


###################################################
### code chunk number 19: ex11.Rnw:489-490
###################################################
help(meuse)


###################################################
### code chunk number 20: ex11.Rnw:503-504
###################################################
data(meuse)


###################################################
### code chunk number 21: ex11.Rnw:513-514
###################################################
ls()


###################################################
### code chunk number 22: ex11.Rnw:523-524
###################################################
str(meuse)


###################################################
### code chunk number 23: ex11.Rnw:601-602
###################################################
summary(meuse$lead)


###################################################
### code chunk number 24: ex11.Rnw:627-636
###################################################
min(meuse$lead)
max(meuse$lead)
median(meuse$lead)
mean(meuse$lead)
range(meuse$lead)
var(meuse$lead)
sd(meuse$lead)
quantile(meuse$lead)
quantile(meuse$lead, seq(0,1,.1))


###################################################
### code chunk number 25: ex11.Rnw:683-684
###################################################
which.max(meuse$lead)


###################################################
### code chunk number 26: ex11.Rnw:705-706
###################################################
meuse[which.max(meuse$lead), ]


###################################################
### code chunk number 27: ex11.Rnw:711-712 (eval = FALSE)
###################################################
## meuse[54, ]


###################################################
### code chunk number 28: ex11.Rnw:731-732
###################################################
row.names(meuse)


###################################################
### code chunk number 29: ex11.Rnw:746-747
###################################################
meuse[1:5,]


###################################################
### code chunk number 30: ex11.Rnw:761-762
###################################################
meuse[1:5,1:2]


###################################################
### code chunk number 31: ex11.Rnw:776-777
###################################################
meuse[20, c(3:6, 9)]


###################################################
### code chunk number 32: ex11.Rnw:791-792
###################################################
meuse[1:5, "om"]


###################################################
### code chunk number 33: ex11.Rnw:808-809
###################################################
meuse[which.min(meuse$lead), c("cadmium", "copper", "zinc")]


###################################################
### code chunk number 34: ex11.Rnw:838-839
###################################################
round(sum(meuse$lead > 600)/length(meuse$lead) * 100,1)


###################################################
### code chunk number 35: ex11.Rnw:848-852
###################################################
meuse$lead > 600
sum(meuse$lead > 600)
length(meuse$lead)
sum(meuse$lead > 600) / length(meuse$lead)


###################################################
### code chunk number 36: ex11.Rnw:863-867
###################################################
round(sum(meuse$lead > 300)/length(meuse$lead) * 100,1)
round(sum(meuse$lead > 200)/length(meuse$lead) * 100,1)
round(sum(meuse$lead > 100)/length(meuse$lead) * 100,1)
round(sum(meuse$lead > 30)/length(meuse$lead) * 100,1)


###################################################
### code chunk number 37: ex11.Rnw:888-891
###################################################
summary(meuse$ffreq)
meuse$ffreq=="3"
summary(meuse$ffreq=="3")


###################################################
### code chunk number 38: ex11.Rnw:900-902
###################################################
meuse.flood3 <- meuse[meuse$ffreq=="3",]
str(meuse.flood3)


###################################################
### code chunk number 39: ex11.Rnw:915-917
###################################################
summary(meuse.flood3$lead)
summary(meuse$lead)


###################################################
### code chunk number 40: ex11.Rnw:926-927
###################################################
rm(meuse.flood3)


###################################################
### code chunk number 41: ex11.Rnw:996-997
###################################################
hist(meuse$lead)


###################################################
### code chunk number 42: ex11.Rnw:1032-1035
###################################################
hist(meuse$lead, breaks=seq(0, 700, by=40), col="lightblue", border="red",
    main="Lead concentration by weight, ppm")
rug(meuse$lead)


###################################################
### code chunk number 43: ex11.Rnw:1056-1057
###################################################
stem(meuse$lead)


###################################################
### code chunk number 44: ex11.Rnw:1075-1076
###################################################
head(sort(meuse$lead), 10)


###################################################
### code chunk number 45: ex11.Rnw:1097-1098
###################################################
boxplot(meuse$lead, boxwex=0.5, ylab="Pb, mg/kg")


###################################################
### code chunk number 46: ex11.Rnw:1100-1101
###################################################
boxplot(log10(meuse$lead), horizontal=T, boxwex=.4, xlab="Pb concentration, log10(mg/kg)", main="Meuse soils", col="gray80")


###################################################
### code chunk number 47: ex11.Rnw:1127-1128
###################################################
levels(meuse$ffreq)


###################################################
### code chunk number 48: ex11.Rnw:1143-1147
###################################################
boxplot(lead ~ ffreq, horizontal=T, boxwex=.4,
        col=c("skyblue", "steelblue", "gray"),
        main="Meuse soils", ylab="Flood frequency class",
        xlab="lead, ppm", data=meuse)


###################################################
### code chunk number 49: ex11.Rnw:1156-1157 (eval = FALSE)
###################################################
## boxplot(meuse$lead ~ meuse$ffreq)


###################################################
### code chunk number 50: ex11.Rnw:1179-1189
###################################################
h <- hist(meuse$lead, breaks = seq(0, 700, by=50), plot=F)
str(h)
plot(h, col = heat.colors(length(h$mids))[length(h$count)-rank(h$count)+1],
   ylim = c(0, max(h$count)+5),
   main="Frequency histogram, Meuse lead concentration",
   sub="Counts shown above bar, actual values shown with rug plot",
    xlab="lead concentration, mg kg-1")
rug(meuse$lead)
text(h$mids, h$count, h$count, pos=3)
rm(h)


###################################################
### code chunk number 51: ex11.Rnw:1251-1252
###################################################
plot(meuse$lead, meuse$zinc, log="xy")


###################################################
### code chunk number 52: ex11.Rnw:1273-1274 (eval = FALSE)
###################################################
## (pts <- identify(meuse$lead, meuse$zinc))


###################################################
### code chunk number 53: ex11.Rnw:1276-1277
###################################################
pts <- c(44, 121)


###################################################
### code chunk number 54: ex11.Rnw:1303-1304
###################################################
rm(pts)


###################################################
### code chunk number 55: ex11.Rnw:1313-1314
###################################################
plot(meuse$lead ~ meuse$om, log="y")


###################################################
### code chunk number 56: ex11.Rnw:1406-1408
###################################################
lm.zn.pb <- lm(log10(zinc) ~ log10(lead), data=meuse)
summary(lm.zn.pb)


###################################################
### code chunk number 57: ex11.Rnw:1432-1435
###################################################
par(mfrow=c(2,2))
plot(lm.zn.pb)
par(mfrow=c(1,1))


###################################################
### code chunk number 58: ex11.Rnw:1479-1482
###################################################
log10(meuse["127","zinc"])
fitted(lm.zn.pb)["127"]
residuals(lm.zn.pb)["127"]


###################################################
### code chunk number 59: ex11.Rnw:1486-1487
###################################################
rm(lm.zn.pb)


###################################################
### code chunk number 60: ex11.Rnw:1506-1508
###################################################
p.high <- function(level) {round(100 * sum(meuse$lead > level)/length(meuse$lead), 1)}
ls()


###################################################
### code chunk number 61: ex11.Rnw:1525-1526
###################################################
lvls <- c(600, 300, 200, 100, 30)


###################################################
### code chunk number 62: ex11.Rnw:1531-1533
###################################################
p <- NULL
for (l in lvls) p <- c(p, p.high(l))


###################################################
### code chunk number 63: ex11.Rnw:1540-1541
###################################################
p


###################################################
### code chunk number 64: ex11.Rnw:1547-1548
###################################################
(data.frame(level=lvls, percent.higher=p))


###################################################
### code chunk number 65: ex11.Rnw:1553-1554
###################################################
rm(p, l, lvls, p.high); ls()


###################################################
### code chunk number 66: ex11.Rnw:1572-1573
###################################################
ls()


###################################################
### code chunk number 67: ex11.Rnw:1607-1609
###################################################
rm(meuse)
ls()


###################################################
### code chunk number 68: ex11.Rnw:1614-1615
###################################################
rm(list=ls())


###################################################
### code chunk number 69: ex11.Rnw:1672-1673 (eval = FALSE)
###################################################
## q()


