### R code from vignette source 'ex21.Rnw'

###################################################
### code chunk number 1: ex21.Rnw:20-23
###################################################
par(mfrow=c(1,1))
rm(list=ls())
setwd("~/data/edu/dgeostats/ex")


###################################################
### code chunk number 2: ex21.Rnw:53-56
###################################################
require(sp)
require(gstat)
require(lattice)


###################################################
### code chunk number 3: ex21.Rnw:117-120
###################################################
getwd()
setwd("/Users/rossiter/tmp/dgeostat")
getwd()


###################################################
### code chunk number 4: ex21.Rnw:131-132 (eval = FALSE)
###################################################
## file.show("juraset.dat")


###################################################
### code chunk number 5: ex21.Rnw:192-195
###################################################
jura.all <- read.table("juraset.dat",header=T,skip=22)
head(jura.all)
tail(jura.all, n=2)


###################################################
### code chunk number 6: ex21.Rnw:204-205
###################################################
dim(jura.all)


###################################################
### code chunk number 7: ex21.Rnw:238-239
###################################################
str(jura.all)


###################################################
### code chunk number 8: ex21.Rnw:263-266
###################################################
jura.all$Rock <- factor(jura.all$Rock, labels=c("Argovian", "Kimmeridgian", "Sequanian", "Portlandian", "Quaternary"))
jura.all$Land <- factor(jura.all$Land, labels=c("Forest", "Pasture", "Meadow", "Tillage"))
str(jura.all)


###################################################
### code chunk number 9: ex21.Rnw:291-294
###################################################
class(jura.all)
coordinates(jura.all) <- c("X", "Y")
class(jura.all)


###################################################
### code chunk number 10: ex21.Rnw:317-320
###################################################
str(jura.all)
head(jura.all@data, n=3)
summary(jura.all@data)


###################################################
### code chunk number 11: remove-longlat
###################################################
names(jura.all)
jura.all@data <-   jura.all@data[ , -c(1,2)]
names(jura.all)


###################################################
### code chunk number 12: ex21.Rnw:366-367
###################################################
bbox(jura.all)


###################################################
### code chunk number 13: ex21.Rnw:386-387
###################################################
save(jura.all, file="Jura.RData")


###################################################
### code chunk number 14: ex21.Rnw:423-424
###################################################
setwd("/Users/rossiter/data/edu/dgeostats/ex")


###################################################
### code chunk number 15: ex21.Rnw:455-456
###################################################
plot(coordinates(jura.all))


###################################################
### code chunk number 16: ex21.Rnw:471-475
###################################################
plot(coordinates(jura.all), pch=20, col="darkblue", asp=1,
     main="Location of Jura soil samples",
xlab="E (km)", ylab="N (km)")
grid(lty=1, col="darkgray")


###################################################
### code chunk number 17: ex21.Rnw:492-497
###################################################
plot(coordinates(jura.all), type="n", asp=1,
     main="Location of Jura soil samples",
xlab="E (km)", ylab="N (km)")
grid(lty=1, col="darkgray")
text(coordinates(jura.all), row.names(jura.all@data))


###################################################
### code chunk number 18: ex21.Rnw:521-532
###################################################
print(
bubble(jura.all, "Pb",
       main="Soil samples, Swiss Jura",
       sub="Pb (mg kg-1)",
       col="darkblue",
       scales = list(draw = TRUE),
       maxsize=2,
       xlab="E (km)", ylab="N (km)",
       xlim=c(0,5), ylim=c(0,6), aspect="iso"
)
)


###################################################
### code chunk number 19: ex21.Rnw:584-598
###################################################
print(
bubble(jura.all, "Pb",
       main="Soil samples, Swiss Jura",
       sub="Pb (mg kg-1); symbol size proportional to value",
       col="darkblue",
       scales = list(draw = TRUE),
       maxsize=2,
       fill=FALSE,
       xlab="E (km)", ylab="N (km)",
       xlim=c(0,5), ylim=c(0,6), aspect="iso",
       do.sqrt=FALSE,
       key.entries=quantile(jura.all$Pb, seq(0,1,by=.1))
)
)


###################################################
### code chunk number 20: ex21.Rnw:632-646
###################################################
print(bubble(jura.all, "Pb",
             main="Soil samples, Swiss Jura",
             sub="Pb (mg kg-1); symbol size proportional to value",
             col="darkblue",
             scales = list(draw = TRUE),
             maxsize=2,
             fill=F,
             xlab="E (km)", ylab="N (km)",
             xlim=c(0,5), ylim=c(0,6), aspect="iso",
             panel=function(x,y, ...) {
                 panel.xyplot(x, y, ...);
                 panel.grid(h=-1,v=-1, col="gray", lty=1) },
             key.entries=seq(0, 320, by=40)
             ))


###################################################
### code chunk number 21: ex21.Rnw:651-666
###################################################
print(
bubble(jura.all, "Pb",
       main="Soil samples, Swiss Jura",
       sub="Pb (mg kg-1); symbol size proportional to value",
       col="darkblue",
       scales = list(draw = TRUE),
       maxsize=2.5,
       fill=F,
       xlab="E (km)", ylab="N (km)",
       xlim=c(0,5), ylim=c(0,6), aspect="iso",
          panel=function(x,y, ...) {
            panel.xyplot(x, y, ...);
            panel.grid(h=11, v=9, col="magenta", lty=2) },
       key.entries=quantile(jura.all$Pb, seq(0,1,by=.1)))
)


###################################################
### code chunk number 22: ex21.Rnw:699-700
###################################################
setwd("/Users/rossiter/tmp/dgeostat")


###################################################
### code chunk number 23: ex21.Rnw:703-706
###################################################
load("tcp.RData")
ls()
str(tcp)


###################################################
### code chunk number 24: ex21.Rnw:710-711
###################################################
setwd("/Users/rossiter/data/edu/dgeostats/ex")


###################################################
### code chunk number 25: ex21.Rnw:728-730
###################################################
coordinates(tcp) <- c("UTM_E", "UTM_N")
str(tcp)


###################################################
### code chunk number 26: bubble-clay35
###################################################
print(bubble(tcp, zcol="clay35", 
             pch=20, col="darkblue",
             scales = list(draw = TRUE),
             aspect="iso", maxsize=2,
             xlab="UTM E", ylab="UTM N",
             panel=function(x,y, ...) {
                 panel.xyplot(x, y, ...);
                 panel.grid(h=-1,v=-1, col="gray", lty=1) },
             main="Clay percent, 30-50 cm layer"
))


###################################################
### code chunk number 27: ex21.Rnw:780-781
###################################################
bbox(tcp)


###################################################
### code chunk number 28: ex21.Rnw:786-790
###################################################
g <- expand.grid(UTM_E =seq(659000, 704000, by=500), UTM_N =seq(310000, 343000, by=500), KEEP.OUT.ATTRS=F)
str(g)
coordinates(g) <- c("UTM_E", "UTM_N")
str(g)


###################################################
### code chunk number 29: ex21.Rnw:802-803
###################################################
ts2 <- krige(clay35 ~ I(UTM_E^2) + I(UTM_N^2) + UTM_E + UTM_N, loc=tcp, newdata=g, model=NULL)


###################################################
### code chunk number 30: ex21.Rnw:848-849
###################################################
str(ts2)


###################################################
### code chunk number 31: ex21.Rnw:867-868
###################################################
require(lattice)


###################################################
### code chunk number 32: ex21.Rnw:882-894
###################################################
print(levelplot(var1.pred ~ UTM_E + UTM_N, as.data.frame(ts2),
                col.regions=bpy.colors(64),
                asp="iso", main="Subsoil clay %",
                sub="Sample points overprinted as postplot",
                xlab="UTM E", ylab="UTM N",
                panel=function(x,y,z, ...) {
                    panel.levelplot(x, y, z, ...)
                    panel.grid(h=-1,v=-1, col="gray", lty=1)
                    panel.points(coordinates(tcp),
                                 cex=3*tcp$clay35/max(tcp$clay35),
                                 pch=20, col="white")
          }))


###################################################
### code chunk number 33: ex21.Rnw:899-911
###################################################
print(contourplot(var1.pred ~ UTM_E + UTM_N, as.data.frame(ts2),
                  asp="iso", main="Subsoil clay %",
                  at = seq(0, 100, by=5),
                  sub="Sample points overprinted as postplot",
                  xlab="UTM E", ylab="UTM N",
                  panel=function(x,y,z, ...) {
                      panel.contourplot(x, y, z, ...)
                      panel.grid(h=-1,v=-1, col="gray", lty=1)
                      panel.points(coordinates(tcp),
                                   cex=2.5*tcp$clay35/max(tcp$clay35),
                                   pch=23, col="black", fill="red")
}))


###################################################
### code chunk number 34: ex21.Rnw:928-929
###################################################
rm(tcp, g, ts2)


